Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\Converter\Render\Template Class Reference

RichText Template converter injects rendered template payloads into template elements. More...

Inheritance diagram for eZ\Publish\Core\FieldType\RichText\Converter\Render\Template:

## Public Member Functions
| __construct (RendererInterface $renderer, Converter $richTextConverter, LoggerInterface $logger=null)
| Style constructor. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter\Render
| __construct (RendererInterface $renderer)
Public Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter
| convert (DOMDocument $xmlDoc)
| Converts given $xmlDoc into another \DOMDocument object. More...

## Protected Member Functions
| processTemplate (DOMDocument $document, DOMElement $template)
| Processes given template $template in a given $document. More...
| isWrapped (DomNode $node)
| Returns if the given $node is wrapped inside another template node. More...
| getNodeDepth (DomNode $node)
| Returns depth of given $node in a DOMDocument. More...
| saveNodeXML (DOMNode $node)
| Returns XML fragment string for given $node. More...
Protected Member Functions inherited from eZ\Publish\Core\FieldType\RichText\Converter\Render
| extractConfiguration (DOMElement $embed)
| Extracts configuration hash from embed element. More...

## Private Attributes
| $richTextConverter
| $logger

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\FieldType\RichText\Converter\Render
| $renderer

## Detailed Description

RichText Template converter injects rendered template payloads into template elements.

Deprecated:
  since 7.4, use \EzSystems\EzPlatformRichText\eZ\RichText\Converter\Render\Template from EzPlatformRichTextBundle.

Definition at line 24 of file Template.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Template::__construct | ( | RendererInterface | $renderer,
|  | Converter | $richTextConverter,
|  | LoggerInterface | $logger = `null`
| ) |  |

Style constructor.

Parameters

  \eZ\Publish\Core\FieldType\RichText\RendererInterface | $renderer |
  \eZ\Publish\Core\FieldType\RichText\Converter | $richTextConverter |

Definition at line 38 of file Template.php.

References eZ\Publish\Core\FieldType\RichText\Converter\Render\Template\$logger, eZ\Publish\Core\FieldType\RichText\Converter\Render\$renderer, and eZ\Publish\Core\FieldType\RichText\Converter\Render\Template\$richTextConverter.

## Member Function Documentation

## ◆ getNodeDepth()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Template::getNodeDepth | ( | DomNode | $node | ) |
| protected

Returns depth of given $node in a DOMDocument.

Parameters

  \DOMNode | $node |

Returns
  int

Definition at line 168 of file Template.php.

## ◆ isWrapped()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Template::isWrapped | ( | DomNode | $node | ) |
| protected

Returns if the given $node is wrapped inside another template node.

Parameters

  \DOMNode | $node |

Returns
  bool

Definition at line 150 of file Template.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Render\Template\processTemplate().

## ◆ processTemplate()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Template::processTemplate | ( | DOMDocument | $document,
|  | DOMElement | $template
| ) |  |
| protected

Processes given template $template in a given $document.

Parameters

  \DOMDocument | $document |
  \DOMElement | $template |

Definition at line 92 of file Template.php.

References eZ\Publish\Core\FieldType\RichText\Converter\Render\extractConfiguration(), and eZ\Publish\Core\FieldType\RichText\Converter\Render\Template\isWrapped().

## ◆ saveNodeXML()

eZ\Publish\Core\FieldType\RichText\Converter\Render\Template::saveNodeXML | ( | DOMNode | $node | ) |
| protected

Returns XML fragment string for given $node.

Parameters

  \DOMNode | $node |

Returns
  string

Definition at line 188 of file Template.php.

## Member Data Documentation

## ◆ $logger

eZ\Publish\Core\FieldType\RichText\Converter\Render\Template::$logger
| private

Definition at line 30 of file Template.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Render\Template\__construct().

## ◆ $richTextConverter

eZ\Publish\Core\FieldType\RichText\Converter\Render\Template::$richTextConverter
| private

Definition at line 27 of file Template.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Render\Template\__construct().

The documentation for this class was generated from the following file:

- Template.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.